#include "group.h"

extern int cnt;
extern int g_cnt;
extern int x, y, z;

void group1(int x, int y, int z)
{

/* Sequence Of Group One */
/* Step (1) */
        if(cnt==0) { printf("\t>> Group 1\n"); usleep(x); } /* Timer Between Operation */

        if(cnt==1)  { q7a; q8a; q9a; q10a; q11a; q12a; q13a; }
        if(cnt==2) usleep(y);		/* Timer To Drive Cylinder UP */
        if(cnt==3)  { cq7a; cq8a; cq9a; cq10a; cq11a; cq12a; cq13a; }
        if(cnt==4) usleep(x); 		/* Timer Between Operation */

/* Step (2) */
        if(cnt==5)  { q4a; q5a; q6a; q14a; q15a; q16a; q17a; }
        if(cnt==6) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==7)  { cq4a; cq5a; cq6a; cq14a; cq15a; cq16a; cq17a; }
        if(cnt==8) usleep(x); 		/* Timer Between Operation */

/* Step (3) */
        if(cnt==9)  { q7b; q8b; q9b; q10b; q11b; q12b; q13b; }
        if(cnt==10) usleep(z);		/* Timer To Drive Cylinder DOWN */
        if(cnt==11) { cq7b; cq8b; cq9b; cq10b; cq11b; cq12b; cq13b; }
        if(cnt==12) usleep(x); 		/* Timer Between Operation */

/* Step (4) */

        if(cnt==13) { q1a; q2a; q3a; q18a; q19a; q20a; q21a; }
        if(cnt==14) usleep(y);		/* Timer To Drive Cylinder UP */
        if(cnt==15) { cq1a; cq2a; cq3a; cq18a; cq19a; cq20a; cq21a; }
        if(cnt==16) usleep(x); 		/* Timer Between Operation */

/* Step (5) */

        if(cnt==17) { q4b; q5b; q6b; q14b; q15b; q16b; q17b; }
        if(cnt==18) usleep(z); 		/* Timer To Drive Cylinder DOWN */
        if(cnt==19) { cq4b; cq5b; cq6b; cq14b; cq15b; cq16b; cq17b; }
        if(cnt==20) usleep(x); 		/* Timer Between Operation */

/* Step (6) */

        if(cnt==21) { q1b; q2b; q3b; q18b; q19b; q20b; q21b; }
        if(cnt==22) usleep(z); 		/* Timer To Drive Cylinder DOWN */
        if(cnt==23) { cq1b; cq2b; cq3b; cq18b; cq19b; cq20b; cq21b; }
        if(cnt==24) usleep(y); 		/* Timer For Delay Start */

/* Step (7) */

        if(cnt==25) { q7a; q8a; q9a; q10a; q11a; q12a; q13a; }
        if(cnt==26) usleep(y); 		/* Timer For Delay Start */

/* Step (8) */

        if(cnt==27) { cq7a; cq8a; cq9a; cq10a; cq11a; cq12a; cq13a; }
        if(cnt==28) { q4a; q5a; q6a; q14a; q15a; q16a; q17a; }
        if(cnt==29) usleep(y); 		/* Timer For Delay Start */

/* Step (9) */

        if(cnt==30) { cq4a; cq5a; cq6a; cq14a; cq15a; cq16a; cq17a; }
        if(cnt==31) { q1a; q2a; q3a; q18a; q19a; q20a; q21a; }
        if(cnt==32) usleep(y); 		/* Timer For Delay Start */

/* Step (10) */
        
	if(cnt==33) { cq1a; cq2a; cq3a; cq18a; cq19a; cq20a; cq21a; }
        if(cnt==34) { q7b; q8b; q9b; q10b; q11b; q12b; q13b; }
        if(cnt==35) usleep(y); 		/* Timer For Delay Start */

/* Step (11) */

        if(cnt==36) { cq7b; cq8b; cq9b; cq10b; cq11b; cq12b; cq13b; }
        if(cnt==37) { q4b; q5b; q6b; q14b; q15b; q16b; q17b; }
        if(cnt==38) usleep(y); 		/* Timer For Delay Start */

/* Step (12) */
        if(cnt==39) { cq4b; cq5b; cq6b; cq14b; cq15b; cq16b; cq17b; }
	if(cnt==40) { q1b; q2b; q3b; q18b; q19b; q20b; q21b; }
        if(cnt==41) usleep(y); 		/* Timer For Delay Start */

/* Step (13) */
        if(cnt==42) { cq1b; cq2b; cq3b; cq18b; cq19b; cq20b; cq21b; }

        if(cnt==43) zpp();

}

